Name:           python-ladon
Version:        0.9.24
Release:        4%{?dist}
Summary:        Multiprotocol approach to creating a webservice

License:        LGPLv3+
URL:            http://ladonize.org
Source0:        http://pypi.python.org/packages/source/l/ladon/ladon-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python2-devel
BuildRequires:  python-setuptools
BuildRequires:  python-sphinx
BuildRequires:  python-nose
BuildRequires:  python-chardet
Requires:       python-jinja2
Requires:		python-chardet

%description
Ladon is a framework for exposing methods to several internet service 
protocols. Once a method is ladonized it is automatically served through 
all the interfaces that your ladon installation contains. Ladon's interface 
implemetations are added in a modular fashion making it very easy extend 
Ladon's protocol support. 

%prep
%setup -q -n ladon-%{version}

# remove egg-info:
rm -rf src/ladon.egg-info

# remove bundled chardet lib
rm -rf src/chardet_py2
rm -rf src/chardet_py3

# remove reference to sphinx-bootstrap-theme
sed -i -e "s/,'sphinx_bootstrap_theme'//" setup.py

# correct references to chardet
for i in `find src/ladon -name '*.py'`; do
    sed -i -e 's/chardet_py2/chardet/' $i
    sed -i -e 's/chardet_py3/chardet/' $i
done



%build
%{__python} setup.py build


%install
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT
chmod 755 %{buildroot}/%{python_sitelib}/ladon/clients/jsonwsp.py

%check
%{__python} setup.py test
%{__python} setup.py nosetests


%files
%doc PKG-INFO README.rst examples
%{python_sitelib}/ladon
%{python_sitelib}/ladon-%{version}-py?.?.egg-info
%{_bindir}/ladon-%{python_version}-ctl

%changelog
* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.24-4
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.24-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.24-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Thu Feb 19 2015 Matthias Runge <mrunge@redhat.com> - 0.9.24-1
- update to 0.9.24 (rhbz#1050917)

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.8-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Thu Jan 02 2014 Matthias Runge <mrunge@redhat.com> - 0.8.8-1
- update to 0.8.8 (rhbz#1007324)

* Fri Jul 26 2013 Matthias Runge <mrunge@redhat.com> - 0.8.2-1
- update to 0.8.2 (rhbz#984618)

* Tue May 28 2013 Matthias Runge <mrunge@redhat.com> - 0.8.1-1
- update to 0.8.1 (rhbz#859948)

* Thu Apr 25 2013 Matthias Runge <mrunge@redhat.com> - 0.7.9-1
- update to 0.7.9 (rhbz#956017)

* Mon Mar 25 2013 Matthias Runge <mrunge@redhat.com> - 0.7.8-1
- update to 0.7.8 (rhbz#924739)

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Oct 18 2012 Matthias Runge <mrunge@redhat.com> - 0.7.5-1
- update to latest upstream release 0.7.5

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Mar 23 2012 Matthias Runge <mrunge@matthias-runge.de> - 0.7.0-2
- bump version to maintain fedora upgrade-ability

* Mon Mar 12 2012 Matthias Runge <mrunge@matthias-runge.de> - 0.7.0-1
- update to version 0.7.0
- spec cleanup
- make sure, removed bundled lib isn't referenced anymore

* Thu Feb 02 2012 Matthias Runge <mrunge@matthias-runge.de> - 0.6.7-1
- update to Version 0.6.7

* Fri Jan 06 2012 Matthias Runge <mrunge@matthias-runge.de> - 0.6.5-2
- remove unecessary definition, buildroot cleaning
- correct build requirements

* Wed Jan 04 2012 Matthias Runge <mrunge@matthias-runge.de> - 0.6.5-1
- initial fedora package
